# Generated by Django 4.2.13 on 2024-07-26 05:32

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("api", "0006_alter_chatbot_generative_model"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="chatbot",
            name="template",
        ),
        migrations.AlterField(
            model_name="chatbot",
            name="config",
            field=models.JSONField(
                default={
                    "bot_type": "discussion",
                    "general_prompt": {
                        "constraints": "",
                        "instructions": "",
                        "persona": "",
                    },
                    "knowledge": {
                        "activation": {"threshold": 0.0, "type": "never"},
                        "enabled": False,
                        "fallback": "",
                    },
                    "guardrails": {
                        "builtin":
                            {
                                "enabled": "False"
                            }
                    }
                },
                help_text="Various prompt and knowledge settings",
            ),
        ),
    ]
